import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'

export function addZero (data) {
  return request({
    url: api + '/sporadicChargeInfo/add',
    method: 'POST',
    data: qs.stringify(data)
  })
}

export function getZero (data) {
  return request({
    url: api + '/sporadicChargeInfo/queryPage',
    method: 'GET',
    params: data
  })
}

export function removeZero (data) {
  return request({
    url: api + '/sporadicChargeInfo/delete',
    method: 'POST',
    data: qs.stringify(data)
  })
}

// 根据用户编号获取用户信息
export function getBasic(data) {
  return request({
    url: '/api-auth/user/getBasic',
    method: 'get',
    params: data
  })
}